[X2Go-Commits] [buildscripts] 02/02: bin/sbuild-deb-package: add more quotes to the git checkout code.

git-admin at x2go.org git-admin at x2go.org
Sat Jun 30 23:44:29 CEST 2018


This is an automated email from the git hooks/post-receive script.

x2go pushed a commit to branch master
in repository buildscripts.

commit 6a002703335c27d29ab1401ae1522be8ab6f154b
Author: Mihai Moldovan <ionic at ionic.de>
Date:   Sat Jun 30 23:40:57 2018 +0200

    bin/sbuild-deb-package: add more quotes to the git checkout code.
---
 bin/sbuild-deb-package | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/bin/sbuild-deb-package b/bin/sbuild-deb-package
index 42d0552..60df9fe 100755
--- a/bin/sbuild-deb-package
+++ b/bin/sbuild-deb-package
@@ -177,9 +177,9 @@ prepare_workspace() {
 			git checkout --force "${CHECKOUT}" || git checkout --force -b "${CHECKOUT}"
 			git fetch origin "${CHECKOUT}"
 			git reset --hard "origin/${CHECKOUT}"
-			git fetch origin upstream:upstream || true
+			git fetch origin 'upstream:upstream' || true
 			git fetch origin 'upstream/*:upstream/*' || true
-			git fetch origin pristine-tar:pristine-tar || true
+			git fetch origin 'pristine-tar:pristine-tar' || true
 			# and again, get the ${CHECKOUT} refspec in pure state
 			git reset --hard
 			git clean -df
@@ -193,9 +193,9 @@ prepare_workspace() {
 			cd "${PROJECT}"
 			git fetch origin "${CHECKOUT}"
 			git checkout --force "${CHECKOUT}" || git checkout --force -b "${CHECKOUT}"
-			git fetch origin upstream:upstream || true
+			git fetch origin 'upstream:upstream' || true
 			git fetch origin 'upstream/*:upstream/*' || true
-			git fetch origin pristine-tar:pristine-tar || true
+			git fetch origin 'pristine-tar:pristine-tar' || true
 			git clean -df
 		} || {
 			echo "Unable to switch to project directory \"$(dirname "${PROJECT_DIR}")\". Does it exist? Check the permissions." >&2

--
Alioth's /home/x2go-admin/maintenancescripts/git/hooks/post-receive-email on /srv/git/code.x2go.org/buildscripts.git


More information about the x2go-commits mailing list